# Shuman Map Format

The Shuman map format is a UDMF-inspired map format that aims to simplify rendering and physics calculations.

## Sectors
All sectors in the Shuman map format are triangles. This is to speed up calculations both in physics and rendering(and also because I couldn't figure out tessellation). A sector's walls, lines of the triangle, have a texture property to define the texture of the wall. It can be set to the special texture ``pms:none`` to be made invisible and thus to join sectors together.

### In editor
In the Project Morault editor, you can create a new sector by pressing ``LSHIFT+N``. You can select a point by left-clicking on it, then move it by right-clicking and dragging. To join two sectors together, one line of both sectors should have the same points. By selecting a point and pressing ``LCTRL+J``, it will set the position of any point in a 5 pixel radius to itself.

To select a line, simply select a point, then press ``RSHIFT+L+<the letter of the point you want to select a line to>``(eg:``RSHIFT+L+B``). To change a wall's texture, simply select a line and press T. This will prompt you to choose a texture in the terminal. 